For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
            • Companies
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Details
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert BigCommerce Customer Group into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company Catalog
              • PUTUpdate Company Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyCompanies

List Company Extra Field Configs

GET
https://api-b2b.bigcommerce.com/api/v3/io/companies/extra-fields
GET
/api/v3/io/companies/extra-fields
$curl -G https://api-b2b.bigcommerce.com/api/v3/io/companies/extra-fields \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d limit=10 \
> -d offset=3
200Retrieved
1{
2 "code": 200,
3 "meta": {
4 "pagination": {
5 "limit": 10,
6 "offset": 0,
7 "totalCount": 3
8 }
9 },
10 "data": [
11 {
12 "id": 987654,
13 "uuid": "a3f1c9e2-4b7d-4f8a-9c2e-1d2b3f4a5c6d",
14 "fieldName": "Customer Tax Code",
15 "fieldType": 1,
16 "isRequired": true,
17 "isUnique": true,
18 "visibleToEnduser": true,
19 "configType": 1,
20 "defaultValue": "Code G",
21 "maximumLength": "100",
22 "numberOfRows": "5",
23 "maximumValue": "1000",
24 "listOfValue": [
25 "Retail",
26 "Automotive",
27 "Manufacturing"
28 ]
29 },
30 {
31 "id": 987655,
32 "uuid": "b4d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
33 "fieldName": "Preferred Contact Method",
34 "fieldType": 3,
35 "isRequired": false,
36 "isUnique": false,
37 "visibleToEnduser": true,
38 "configType": 2,
39 "defaultValue": "Email",
40 "maximumLength": null,
41 "numberOfRows": null,
42 "maximumValue": null,
43 "listOfValue": [
44 "Email",
45 "Phone",
46 "Fax"
47 ]
48 },
49 {
50 "id": 987656,
51 "uuid": "c5e6f7a8-9b0c-1d2e-3f4a-5b6c7d8e9f0a",
52 "fieldName": "Annual Revenue",
53 "fieldType": 2,
54 "isRequired": false,
55 "isUnique": false,
56 "visibleToEnduser": false,
57 "configType": 2,
58 "defaultValue": "500000",
59 "maximumLength": null,
60 "numberOfRows": null,
61 "maximumValue": "10000000",
62 "listOfValue": []
63 }
64 ]
65}
Returns a list of available extra fields configs for Company accounts.
Was this page helpful?
Previous

Update Company Status

Next

List Company Attachments

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Query parameters

limitintegerOptionalDefaults to 10

Determines the number of records to return per page. If left blank, this defaults to 10.

offsetintegerOptionalDefaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

Response

OK
codeinteger
Response code of success request.
metaobject
Used to response pagination information
datalist of objects